mdatabase_define(3m17n)

NAME
mdatabase_define - Define a data of the m17n database.

SYNOPSIS
MDatabase* mdatabase_define (MSymbol tag0, MSymbol tag1, MSymbol tag2, MSymbol tag3, void *(*)(MSymbol *, void *) loader, void * extra_info)

DESCRIPTION
Define a data of the m17n database.

The mdatabase_define() function defines a data that has tags tag0 through tag3 and additional information extra_info.

loader is a pointer to a function that loads the data from the database. This function is called from the mdatabase_load() function with the two arguments tags and extra_info. Here, tags is the array of tag0 through tag3.

If loader is NULL, the default loader of the m17n library is used. In this case, extra_info must be a string specifying a filename that contains the data.

RETURN VALUE

    If the operation was successful, mdatabase_define() returns a pointer to the defined data, which can be used as an argument to mdatabase_load(). Otherwise, it returns NULL.

SEE ALSO

    mdatabase_load(), mdatabase_define()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.